API Documentation

API Overview

Using Bullet via API.
Our newly released APIs allow developers to easily access and manage membership functionalities for their sites. The current API supports the following actions:
  • Get a list of all members for a specific site
  • Add a member to a site
  • Update a member's information
  • Add a member to a specific segment
  • Remove members from a specific site
  • Remove a member from a site
Read more about the API Authentication here.
Read more about the API reference here.

API Authentication

To authenticate users, an API Key is required.
This can be obtained from the profile page on the Bullet app. Simply visit https://app.bullet.so/account and locate your API Key.
This key should be used in the form of Bearer authentication.
Copy the token and pass it in the header in the following format.
Authorization Bearer <API Key here>

API Reference

Before getting started

Almost all of the APIs listed here need the following details.
  • Site ID
  • API Key

API Root url

https://api.bullet.so/api/v1

Get a list of all members for a specific site

GET /sites/:site_id/members/

Add a member to a site

Note: Adding new segments is not possible via API. You need to add new segments from Dashboard. You can only pass existing segments from API.
POST /sites/:site_id/members/ { "name": "John Doe", "email":"john.doe@gmail.com", "allowedSegments":["free","vip"] }

Update a member's information

PATCH /sites/:site_id/members/:email { "name": "John Doe", "allowedSegments":["free","vip"] }

Add a member to a specific segment

Note: Adding new segments is not possible via API. You need to add new segments from Dashboard. You can only pass existing segments from API.
POST /sites/:site_id/members/:email/segments { "allowedSegments":["premium"] }

Remove segment from a member

DELETE /sites/:site_id/members/:email/segments { "allowedSegments":["premium"] }

Remove a member from a site

DELETE /sites/:site_id/members/:email